## org.eclipse.datatools.modelbase.dbdefinition.impl
Class SequenceDefinitionImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.datatools.modelbase.dbdefinition.impl.SequenceDefinitionImpl

All Implemented Interfaces:
  SequenceDefinition

    public class SequenceDefinitionImpl

extends EObjectImpl
implements SequenceDefinition

An implementation of the model object 'Sequence Definition'.

The following features are implemented:

- `Predefined Data Type Definitions`
- `Default Data Type Definition`
- `Type Enumeration Supported`
- `Cache Supported`
- `Order Supported`
- `No Maximum Value String`
- `No Minimum Value String`
- `No Cache String`
- `Cache Default Value`

Method Summary
`PredefinedDataTypeDefinition` `basicGetDefaultDataTypeDefinition()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`int` `getCacheDefaultValue()`
`PredefinedDataTypeDefinition` `getDefaultDataTypeDefinition()`
`java.lang.String` `getNoCacheString()`
`java.lang.String` `getNoMaximumValueString()`
`java.lang.String` `getNoMinimumValueString()`
`EList` `getPredefinedDataTypeDefinitions()`
`boolean` `isCacheSupported()`
`boolean` `isOrderSupported()`
`boolean` `isTypeEnumerationSupported()`
`void` `setCacheDefaultValue(int newCacheDefaultValue)`
`void` `setCacheSupported(boolean newCacheSupported)`
`void` `setDefaultDataTypeDefinition(PredefinedDataTypeDefinition newDefaultDataTypeDefinition)`
`void` `setNoCacheString(java.lang.String newNoCacheString)`
`void` `setNoMaximumValueString(java.lang.String newNoMaximumValueString)`
`void` `setNoMinimumValueString(java.lang.String newNoMinimumValueString)`
`void` `setOrderSupported(boolean newOrderSupported)`
`void` `setTypeEnumerationSupported(boolean newTypeEnumerationSupported)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getPredefinedDataTypeDefinitions

    public EList getPredefinedDataTypeDefinitions()

  Specified by:
    `getPredefinedDataTypeDefinitions` in interface `SequenceDefinition`
  Returns:
    the value of the 'Predefined Data Type Definitions' reference list.
  See Also:
    `DatabaseDefinitionPackage.getSequenceDefinition_PredefinedDataTypeDefinitions()`

### isTypeEnumerationSupported

    public boolean isTypeEnumerationSupported()

  Specified by:
    `isTypeEnumerationSupported` in interface `SequenceDefinition`
  Returns:
    the value of the 'Type Enumeration Supported' attribute.
  See Also:
    `SequenceDefinition.setTypeEnumerationSupported(boolean)`, `DatabaseDefinitionPackage.getSequenceDefinition_TypeEnumerationSupported()`

### setTypeEnumerationSupported

    public void setTypeEnumerationSupported(boolean newTypeEnumerationSupported)

  Specified by:
    `setTypeEnumerationSupported` in interface `SequenceDefinition`
  Parameters:
    `newTypeEnumerationSupported` - the new value of the 'Type Enumeration Supported' attribute.
  See Also:
    `SequenceDefinition.isTypeEnumerationSupported()`

### isCacheSupported

    public boolean isCacheSupported()

  Specified by:
    `isCacheSupported` in interface `SequenceDefinition`
  Returns:
    the value of the 'Cache Supported' attribute.
  See Also:
    `SequenceDefinition.setCacheSupported(boolean)`, `DatabaseDefinitionPackage.getSequenceDefinition_CacheSupported()`

### setCacheSupported

    public void setCacheSupported(boolean newCacheSupported)

  Specified by:
    `setCacheSupported` in interface `SequenceDefinition`
  Parameters:
    `newCacheSupported` - the new value of the 'Cache Supported' attribute.
  See Also:
    `SequenceDefinition.isCacheSupported()`

### isOrderSupported

    public boolean isOrderSupported()

  Specified by:
    `isOrderSupported` in interface `SequenceDefinition`
  Returns:
    the value of the 'Order Supported' attribute.
  See Also:
    `SequenceDefinition.setOrderSupported(boolean)`, `DatabaseDefinitionPackage.getSequenceDefinition_OrderSupported()`

### setOrderSupported

    public void setOrderSupported(boolean newOrderSupported)

  Specified by:
    `setOrderSupported` in interface `SequenceDefinition`
  Parameters:
    `newOrderSupported` - the new value of the 'Order Supported' attribute.
  See Also:
    `SequenceDefinition.isOrderSupported()`

### getNoMaximumValueString

    public java.lang.String getNoMaximumValueString()

  Specified by:
    `getNoMaximumValueString` in interface `SequenceDefinition`
  Returns:
    the value of the 'No Maximum Value String' attribute.
  See Also:
    `SequenceDefinition.setNoMaximumValueString(String)`, `DatabaseDefinitionPackage.getSequenceDefinition_NoMaximumValueString()`

### setNoMaximumValueString

    public void setNoMaximumValueString(java.lang.String newNoMaximumValueString)

  Specified by:
    `setNoMaximumValueString` in interface `SequenceDefinition`
  Parameters:
    `newNoMaximumValueString` - the new value of the 'No Maximum Value String' attribute.
  See Also:
    `SequenceDefinition.getNoMaximumValueString()`

### getNoMinimumValueString

    public java.lang.String getNoMinimumValueString()

  Specified by:
    `getNoMinimumValueString` in interface `SequenceDefinition`
  Returns:
    the value of the 'No Minimum Value String' attribute.
  See Also:
    `SequenceDefinition.setNoMinimumValueString(String)`, `DatabaseDefinitionPackage.getSequenceDefinition_NoMinimumValueString()`

### setNoMinimumValueString

    public void setNoMinimumValueString(java.lang.String newNoMinimumValueString)

  Specified by:
    `setNoMinimumValueString` in interface `SequenceDefinition`
  Parameters:
    `newNoMinimumValueString` - the new value of the 'No Minimum Value String' attribute.
  See Also:
    `SequenceDefinition.getNoMinimumValueString()`

### getNoCacheString

    public java.lang.String getNoCacheString()

  Specified by:
    `getNoCacheString` in interface `SequenceDefinition`
  Returns:
    the value of the 'No Cache String' attribute.
  See Also:
    `SequenceDefinition.setNoCacheString(String)`, `DatabaseDefinitionPackage.getSequenceDefinition_NoCacheString()`

### setNoCacheString

    public void setNoCacheString(java.lang.String newNoCacheString)

  Specified by:
    `setNoCacheString` in interface `SequenceDefinition`
  Parameters:
    `newNoCacheString` - the new value of the 'No Cache String' attribute.
  See Also:
    `SequenceDefinition.getNoCacheString()`

### getCacheDefaultValue

    public int getCacheDefaultValue()

  Specified by:
    `getCacheDefaultValue` in interface `SequenceDefinition`
  Returns:
    the value of the 'Cache Default Value' attribute.
  See Also:
    `SequenceDefinition.setCacheDefaultValue(int)`, `DatabaseDefinitionPackage.getSequenceDefinition_CacheDefaultValue()`

### setCacheDefaultValue

    public void setCacheDefaultValue(int newCacheDefaultValue)

  Specified by:
    `setCacheDefaultValue` in interface `SequenceDefinition`
  Parameters:
    `newCacheDefaultValue` - the new value of the 'Cache Default Value' attribute.
  See Also:
    `SequenceDefinition.getCacheDefaultValue()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### getDefaultDataTypeDefinition

    public PredefinedDataTypeDefinition getDefaultDataTypeDefinition()

  Specified by:
    `getDefaultDataTypeDefinition` in interface `SequenceDefinition`
  Returns:
    the value of the 'Default Data Type Definition' reference.
  See Also:
    `SequenceDefinition.setDefaultDataTypeDefinition(PredefinedDataTypeDefinition)`, `DatabaseDefinitionPackage.getSequenceDefinition_DefaultDataTypeDefinition()`

### basicGetDefaultDataTypeDefinition

    public PredefinedDataTypeDefinition basicGetDefaultDataTypeDefinition()

### setDefaultDataTypeDefinition

    public void setDefaultDataTypeDefinition(PredefinedDataTypeDefinition newDefaultDataTypeDefinition)

  Specified by:
    `setDefaultDataTypeDefinition` in interface `SequenceDefinition`
  Parameters:
    `newDefaultDataTypeDefinition` - the new value of the 'Default Data Type Definition' reference.
  See Also:
    `SequenceDefinition.getDefaultDataTypeDefinition()`

### toString

    public java.lang.String toString()

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.